> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# White-Label-Branding per API abrufen

> White-Label-Branding deiner Anwendung per Didit Management API abrufen: Farben, Schriften, Radien, Logo-URLs und UI-Optionen der Verifizierung.



Branding-Prompt abrufen
        Prompt in die Zwischenablage kopieren



      
      

\<pre>

\`Goal: Read the white-label branding for the application tied to an API key.

Endpoint: GET https://verification.didit.me/v3/customization/
Auth header: x-api-key: <DIDIT_API_KEY>

No path or query params. The application is resolved from the API key.

Response 200: a BrandingCustomization object:
\- Colors: color_primary, color_secondary, color_background, color_panel, color_panel_10, color_on_panel_1, color_on_panel_2, color_on_background, color_button_1, color_button_2, color_button_text_1, color_button_text_2, color_pill_text (hex strings)
\- border_radius_panel, border_radius_buttons (integers)
\- font_family, font_weight, font_url (font_url is read-only)
\- logo_square, logo_rectangular, logo_rectangular_dark, favicon (read-only URLs; null when unset)
\- logo_rectangular_dark: the rectangular logo for dark mode; null when no dark logo is set or rectangular logos are not shown for your account
\- app_public_name, privacy_policy_url, skip_welcome_screen, disable_login_with_didit, hide_progress_bar, callback_seconds

Not included: custom domain and white-label email settings (Business Console only).

curl:
curl -X GET 'https://verification.didit.me/v3/customization/' \
-H 'x-api-key: YOUR_API_KEY'

Failure modes:
\- 401 — missing/invalid x-api-key.

For end-to-end Didit integration, paste in the full prompt at /integration/integration-prompt.`

\</pre>



      
      

Einfügen in

## ÜberblickGibt das White-Label-Branding für die Anwendung zurück, die über Ihren API-Schlüssel ermittelt wird. Es ist dasselbe Branding, das Endbenutzern im [Verifizierungsablauf](https://docs.didit.me/de/console/white-label.md) angezeigt wird. Die Antwort umfasst Farben, Schriftarten, Eckenradien, Logo-URLs und UI/UX-Optionen.## Wann verwenden- **Aktuelles Theme lesen**: Rufen Sie die aktive Farbpalette, Schriftart und Logos ab, bevor Sie sie darstellen oder bearbeiten.
- **Branding synchronisieren**: Spiegeln Sie das Didit-Branding in Ihre eigene Admin-Oberfläche.## Hinweise- Die Anwendung wird über den API-Schlüssel ermittelt. Es gibt keine Pfad- oder Abfrageparameter.
- `logo_square`, `logo_rectangular`, `logo_rectangular_dark`, `favicon` und `font_url` sind schreibgeschützt. Legen Sie Logos fest, indem Sie Bilder unter [Branding aktualisieren](https://docs.didit.me/de/management-api/customization/update.md) hochladen.
- `logo_rectangular_dark` ist das rechteckige Logo für den Dunkelmodus, das auf einem dunklen Hintergrund angezeigt wird.
  Es ist `null`, wenn kein dunkles Logo festgelegt ist oder für Ihr Konto keine rechteckigen Logos angezeigt werden.
- Benutzerdefinierte Domain und White-Label-E-Mail sind **nicht** Teil dieser Antwort. Sie werden weiterhin in der Business Console verwaltet.## BerechtigungenDer API-Schlüssel muss die Berechtigung haben, die Anpassung für die Anwendung zu lesen.## Verwandte Themen- [Branding aktualisieren](https://docs.didit.me/de/management-api/customization/update.md)
- [White-Label in der Console](https://docs.didit.me/de/console/white-label.md)


## OpenAPI

````yaml de/openapi-25.json GET /v3/customization/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: API für Ausweisverifizierung. Authentifizierung über den x-api-key-Header.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/customization/:
    get:
      tags:
        - Customization
      summary: Branding-Anpassung abrufen
      description: >-
        Gibt das über den API-Schlüssel aufgelöste White-Label-Branding für die
        Anwendung zurück: Farben, Schriftarten, Eckenradien, Logo-URLs und
        UI/UX-Optionen. Einstellungen für benutzerdefinierte Domains und
        White-Label-E-Mails werden ausschließlich in der Business Console
        verwaltet und sind nicht Teil dieser Antwort.
      operationId: get_customization
      responses:
        '200':
          description: Aktuelle Branding-Anpassung für die Anwendung.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandingCustomization'
              examples:
                Default branding:
                  value:
                    color_primary: '#000000'
                    color_secondary: '#9DA1A1'
                    color_background: '#FFFFFF'
                    color_panel: '#2567FF'
                    color_panel_10: '#1A1A1A'
                    color_on_panel_1: '#9DA1A1'
                    color_on_panel_2: '#F4F4F6'
                    color_on_background: '#000000'
                    color_button_1: '#2567FF'
                    color_button_2: '#F8F8F8'
                    color_button_text_1: '#FFFFFF'
                    color_button_text_2: '#000000'
                    color_pill_text: '#111827'
                    border_radius_panel: 10
                    border_radius_buttons: 12
                    font_family: Inter
                    font_weight: regular
                    font_url: https://fonts.googleapis.com/css2?family=Inter
                    logo_square: null
                    logo_rectangular: null
                    logo_rectangular_dark: null
                    favicon: null
                    app_public_name: Acme Verify
                    privacy_policy_url: https://acme.com/privacy
                    skip_welcome_screen: false
                    disable_login_with_didit: false
                    hide_progress_bar: false
                    callback_seconds: 3
        '403':
          description: >-
            API-Schlüssel fehlt, ist fehlerhaft, abgelaufen oder für eine andere
            Anwendung gültig. Ein fehlender Schlüssel gibt `403` zurück; ein
            falscher, widerrufener oder abgelaufener Schlüssel gibt `401`
            zurück.
          content:
            application/json:
              examples:
                Invalid token:
                  value:
                    detail: You do not have permission to perform this action.
        '429':
          description: >-
            Rate-Limit überschritten. Wiederholen Sie die Anfrage mit
            exponentiellem Backoff.
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: curl
          label: curl
          source: |-
            curl -X GET 'https://verification.didit.me/v3/customization/' \
              -H 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.customization.retrieve()
            print(result)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY.
            const didit = new Didit();

            const result = await didit.customization.retrieve();
            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.Customization.Retrieve(ctx)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY.
            Didit client = new Didit();

            var result = client.customization().retrieve();
            System.out.println(result);
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY.
            $didit = new DiditClient();

            $result = $didit->customization->retrieve();
            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY.
            didit = Didit::Client.new

            result = didit.customization.retrieve
            puts result.to_h
        - lang: csharp
          label: .NET
          source: |-
            using System;
            using System.Text.Json;
            using Didit;

            // Reads DIDIT_API_KEY.
            using var client = new DiditClient();

            var result = await client.Customization.RetrieveAsync();
            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    BrandingCustomization:
      type: object
      description: >-
        White-Label-Branding für eine Anwendung: Farben, Schriftarten, Radien,
        Logo-URLs und UI/UX-Optionen. Logo-URLs sind schreibgeschützt (legen Sie
        diese durch das Hochladen von Bildern fest). Eine benutzerdefinierte
        Domain und White-Label-E-Mail sind nicht enthalten.
      properties:
        color_primary:
          type: string
        color_secondary:
          type: string
        color_background:
          type: string
        color_panel:
          type: string
        color_panel_10:
          type: string
        color_on_panel_1:
          type: string
        color_on_panel_2:
          type: string
        color_on_background:
          type: string
        color_button_1:
          type: string
        color_button_2:
          type: string
        color_button_text_1:
          type: string
        color_button_text_2:
          type: string
        color_pill_text:
          type: string
        border_radius_panel:
          type: integer
        border_radius_buttons:
          type: integer
        font_family:
          type: string
        font_weight:
          type: string
        font_url:
          type: string
          nullable: true
          description: >-
            Schreibgeschützt. Aufgelöste Google Fonts-Stylesheet-URL für die
            ausgewählte Schriftfamilie.
        logo_square:
          type: string
          nullable: true
          description: >-
            Schreibgeschützte URL des quadratischen Logos. Hochladen über
            `image_square`.
        logo_rectangular:
          type: string
          nullable: true
          description: >-
            Schreibgeschützte URL des rechteckigen Logos. Hochladen über
            `image_rectangular`.
        logo_rectangular_dark:
          type: string
          format: uri
          nullable: true
          description: >-
            Schreibgeschützt. Temporäre signierte URL des rechteckigen Logos für
            den Dark Mode, dargestellt auf dunklem Hintergrund. `null`, wenn
            kein dunkles Logo festgelegt ist oder rechteckige Logos für Ihr
            Konto nicht angezeigt werden. Hochladen über
            `image_rectangular_dark`.
        favicon:
          type: string
          nullable: true
          description: Schreibgeschützte URL des Favicons. Hochladen über `image_favicon`.
        app_public_name:
          type: string
          nullable: true
        privacy_policy_url:
          type: string
          nullable: true
        skip_welcome_screen:
          type: boolean
        disable_login_with_didit:
          type: boolean
        hide_progress_bar:
          type: boolean
        callback_seconds:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Der API-Schlüssel Ihrer Anwendung, aus Entwickler -> API-Schlüssel in
        der Business Console. Der Primärschlüssel hat Vollzugriff. Ein benannter
        Schlüssel kann im Geltungsbereich eingeschränkt werden: keine, Lese-
        oder Schreibberechtigung pro Ressource, beschränkt auf bestimmte
        Workflows oder genehmigte Sitzungen, auf eine Liste von IP-Adressen und
        auf ein Ablaufdatum. 401 bedeutet, dass der Schlüssel falsch, widerrufen
        oder abgelaufen ist; 403 bedeutet, dass kein Schlüssel gesendet wurde,
        der Schlüssel keinen Zugriff auf diese Ressource oder Aktion hat oder
        die Anfrage von einer Adresse außerhalb seiner IP-Liste stammte; 404 bei
        einer Sitzungsroute bedeutet, dass die Sitzung außerhalb der Workflows
        oder Status des Schlüssels liegt. Ein Schlüssel ohne Medienzugriff
        erhält Bild-, Video- und PDF-URLs als null, und ein Schlüssel ohne
        Schreibberechtigung für Sitzungen erhält Sitzungslinks und Token als
        null. Siehe https://docs.didit.me/console/api-keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.